CentOS gcc安装更新系统的软件包

系统 Linux
起因是在一个trixbox上CentOS gcc安装第一步,更新系统的软件包到最新um -y update漫长的等待过后,reboot,然后再次运行了yum -y update 确认再没有可更新的模块了。

CentOS gcc安装更新了很多版本更新,我本人认为CentOS gcc安装在CentOS系列里很好使的文件系统,在此向大家推荐。如今技术不断更新,各种使用文件都已经淘汰。我认为还是有很不错的如CentOS gcc系统值得大家来运用。

起因是在一个trixbox上CentOS gcc安装第一步,更新系统的软件包到最新um -y update漫长的等待过后,reboot,然后再次运行了yum -y update 确认再没有可更新的模块了。

接下来,CentOS gcc安装
yum -y install gcc
没想到
[trixbox1.localdomain src]# yum install gcc
Loading "installonlyn" plugin
Setting up Install Process
Setting up repositories
Reading repository metadata in from local files
Excluding Packages from CentOS-5 - Base
Finished
Excluding Packages from CentOS-5 - Updates
Finished
Excluding Packages from CentOS-5 - Addons
Finished
Excluding Packages from CentOS-5 - Extras
Finished
Parsing package install arguments
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package gcc.i386 0:4.1.2-14.el5 set to be updated
--> Running transaction check
--> Processing Dependency: cpp = 4.1.2-14.el5 for package: gcc
--> Processing Dependency: glibc-devel >= 2.2.90-12 for package: gcc
--> Processing Dependency: libgomp = 4.1.2-14.el5 for package: gcc
--> Processing Dependency: libgomp.so.1 for package: gcc
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package libgomp.i386 0:4.1.2-14.el5 set to be updated
---> Package glibc-devel.i386 0:2.5-18.el5_1.1 set to be updated
---> Package cpp.i386 0:4.1.2-14.el5 set to be updated
--> Running transaction check
--> Processing Dependency: glibc-headers for package: glibc-devel
--> Processing Dependency: glibc-headers = 2.5-18.el5_1.1 for package: glibc-devel
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package glibc-headers.i386 0:2.5-18.el5_1.1 set to be updated
--> Running transaction check
--> Processing Dependency: kernel-headers for package: glibc-headers
--> Processing Dependency: kernel-headers >= 2.2.1 for package: glibc-headers
--> Finished Dependency Resolution
Error: Missing Dependency: kernel-headers is needed by package glibc-headers
Error: Missing Dependency: kernel-headers >= 2.2.1 is needed by package glibc-headers
[trixbox1.localdomain src]#
出错啦,貌似是缺少kernel-headers,
So, I try "yum install kernel-headers":

[trixbox1.localdomain src]# yum install kernel-headers
Loading "installonlyn" plugin
Setting up Install Process
Setting up repositories
Reading repository metadata in from local files
Excluding Packages from CentOS-5 - Base
Finished
Excluding Packages from CentOS-5 - Updates
Finished
Excluding Packages from CentOS-5 - Addons
Finished
Excluding Packages from CentOS-5 - Extras
Finished
Parsing package install arguments
Nothing to do
[trixbox1.localdomain src]#
后来看到有人说到默认的CentOS-Base.repo是不包含下载kernel的,果然
注释掉里边的exclude=kernel*
再次运行yum -y update.我靠,又开始下载一个kernel包。罪魁祸首在这里啊!
再次执行CentOS gcc安装这下应该没有问题了吧!
In case anyone's wondering, I don't make a habit of talking to myself.

【编辑推荐】

  1. 简介CentOS5.3网络IP编辑应用理解
  2. CentOS编译安装所需开发包与相关系统环境构架
  3. CentOS 5安装基本系统与环境部署及调整
  4. CentOS 5.4安装相关系统文件方法
  5. Centos 5.1系统中安装NTFS设置使用
责任编辑:佚名 来源: CSDN
相关推荐

2010-01-14 09:48:05

CentOS VSFT

2024-02-27 13:24:34

Centos系统:yum

2010-01-07 17:32:09

2010-06-10 13:56:22

openSUSE软件包

2010-04-30 10:28:11

Unix安装

2010-03-01 17:43:55

Linux Xsupp

2023-01-03 15:53:00

LinuxFlatpak软件包

2018-10-29 14:10:19

Linux软件包命令

2009-12-28 12:25:44

2020-03-16 18:30:47

pipPythonLinux

2010-01-07 14:44:14

Linux安装KDE

2010-01-13 10:02:21

LinuxRPM软件包

2018-03-19 11:50:00

LinuxCentOS yum命令行

2010-03-03 09:43:34

Linux软件包

2009-12-21 11:26:36

2018-06-22 10:05:04

Arch LinuxDEB软件包

2011-09-15 11:14:12

2021-11-29 14:26:53

FreeDOSLinux

2020-07-16 19:24:31

UbuntuLinux

2019-08-19 09:19:02

LinuxVimUbuntu
点赞
收藏

51CTO技术栈公众号